<template>
  <div v-if="isHeaderShow" ref="headerWrapperRef" class="sticky top-0 z-50">
    <StyleTwo v-if="isStyleTwo" />
    <StyleThree v-else-if="isStyleThree" />
    <StyleOne v-else />
  </div>
</template>

<script lang="ts" setup>
import { useElementSize } from "@vueuse/core";
import useHeaderRender from "@/composables/useHeaderRender";
import StyleOne from "~~/components/m-header-style-module/StyleOne.client.vue";
import StyleTwo from "~~/components/m-header-style-module/StyleTwo.client.vue";
import StyleThree from "~~/components/m-header-style-module/StyleThree.client.vue";

const { isStyleTwo, isStyleThree, isHeaderShow } = useHeaderRender();

const headerWrapperRef = ref();
const { height } = useElementSize(headerWrapperRef);

watch(
  height,
  () => {
    document.documentElement.style.setProperty(
      "--mobile-header-height",
      `${height.value}px`
    );
  },
  {
    immediate: true,
    deep: true,
  }
);
</script>
